node-wrap-ansi_4.0.0-1_all.deb


Advertisement

Description

node-wrap-ansi - Wordwrap a string with ANSI escape codes

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-wrap-ansi_4.0.0-1_all.deb
Package name node-wrap-ansi
Package version 4.0.0
Package release 1
Package architecture all
Package type deb
Category universe/web
Homepage https://github.com/chalk/wrap-ansi#readme
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 5.34 KB
Installed size 20.00 KB
Node.js module to wrap words of a string to the specified column
width, taking into account the actual visual width of the contained
unicode characters.
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-wrap-ansi_4.0.0-1_all.deb 4.0.0 all Ubuntu Universe
node-wrap-ansi - - -

Requires

Name Value
node-ansi-styles >= 3.2.0
node-string-width >= 2.1.1
node-strip-ansi >= 4.0.0
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-wrap-ansi_4.0.0-1_all.deb
Source Package node-wrap-ansi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-wrap-ansi deb package:
    # sudo apt-get install node-wrap-ansi

Files

Path
/usr/lib/nodejs/wrap-ansi/index.js
/usr/lib/nodejs/wrap-ansi/package.json
/usr/share/doc/node-wrap-ansi/changelog.Debian.gz
/usr/share/doc/node-wrap-ansi/copyright
/usr/share/doc/node-wrap-ansi/readme.md

Changelog

2018-11-21 - Paolo Greppi <paolo.greppi@libpf.com>
node-wrap-ansi (4.0.0-1) unstable; urgency=medium
* New upstream version
* Honor DEB_BUILD_OPTIONS
* Fix nodejs binary
* Bump standard version
* Update copyright
* Update Vcs fields for migration to https://salsa.debian.org/
* Add missing build deps (Closes: #902511)
* Bump debhelper version and get rid of dependency on dh-buildinfo
2017-12-07 - Paolo Greppi <paolo.greppi@libpf.com>
node-wrap-ansi (3.0.1-1) unstable; urgency=medium
* New upstream release
* Bump standards version and fix section
* Spoof chalk color support in the test suite and enable tests
2016-11-26 - Paolo Greppi <paolo.greppi@libpf.com>
node-wrap-ansi (2.0.0-1) unstable; urgency=low
* Initial release (Closes: #845262)
* Add a patch to use mocha as test runner rather than ava and to
skip the xo style linter test step and the nyc (istanbul) coverage
test.
* Disable tests for the moment being due some issues with
the test environment.

See Also

Package Description
node-wrappy_1.0.2-1_all.deb Callback wrapping utility
node-write-file-atomic_2.3.0-1_all.deb Write files in an atomic fashion w/configurable ownership
node-write-file-promise_1.0.0-1_all.deb Write a file creating intermediate directories
node-ws_1.1.0+ds1.e6ddaae4-4_amd64.deb RFC-6455 WebSocket implementation module for Node.js
node-xdg-basedir_3.0.0-1_all.deb Get XDG Base Directory paths
node-xml2js_0.2.8-1_all.deb simple XML to JavaScript object converter - Node.js module
node-xmldom_0.1.27+ds-1_all.deb Standard XML DOM (Level2 CORE) implementation in pure javascript
node-xmlhttprequest-ssl_1.6.0-1_all.deb XMLHttpRequest for Node
node-xmlhttprequest_1.8.0-2_amd64.deb XMLHttpRequest for Node
node-xoauth2_1.1.0-2_all.deb XOAuth2 token generation for accessing GMail SMTP and IMAP
node-xtend_4.0.1-2_all.deb extend like a boss
node-xterm_2.7.0+ds1-1_all.deb terminal front-end component for the browser - NodeJS modules
node-y18n_3.2.1-2_all.deb bare-bones internationalization library used by yargs
node-yajsml_1.1.5+ds-1_all.deb Yet another (Common)JS module loader
node-yallist_3.0.3-1_all.deb Double linked list implementation for Node.js
Advertisement
Advertisement